﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Resources;
using System.IO;

namespace ZipTest
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            buttonRead.Click += new RoutedEventHandler(buttonRead_Click);
        }

        void buttonRead_Click(object sender, RoutedEventArgs e)
        {
            WebClient client = new WebClient();
            client.OpenReadCompleted += new OpenReadCompletedEventHandler(client_OpenReadCompleted);
            client.OpenReadAsync(new Uri("test.xap", UriKind.Relative));
        }

        void client_OpenReadCompleted(object sender, OpenReadCompletedEventArgs e)
        {
            StreamResourceInfo xapSri = new StreamResourceInfo(e.Result, null);
            StreamResourceInfo resourceSri = Application.GetResourceStream(xapSri, new Uri("test.txt", UriKind.Relative));

            StreamReader reader = new StreamReader(resourceSri.Stream);
            tbOutput.Text = reader.ReadToEnd();
        }
    }
}
